Bug 1099475

Summary: Texlive language babel does not recommend its respective hyphen
Product: [openSUSE] openSUSE Tumbleweed Reporter: Tomáš Chvátal <tchvatal>
Component: OtherAssignee: Dr. Werner Fink <werner>
Status: RESOLVED FIXED QA Contact: E-mail List <qa-bugs>
Severity: Enhancement    
Priority: P5 - None CC: tchvatal
Version: Current   
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard:
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Tomáš Chvátal 2018-06-28 10:14:16 UTC
As per $SUBJ when you install ie czech babel texlive-babel-czech you also need the hyphenation rules texlive-hyphen-czech but those are not automatically selected.

I suppose the specs should recommend all the respective hyphens based on what languages you install.
Comment 1 Dr. Werner Fink 2018-06-28 10:45:40 UTC
What is wrong with

   texlive-collection-langczechslovak

...

Requires       : [16]                                 
    texlive-collection-basic >= 2018
    texlive-collection-latex >= 2018
    texlive-csplain >= 2018
    texlive-cslatex >= 2018
    texlive-vlna >= 2018
    texlive-cs >= 2018
    texlive-babel-czech >= 2018
    texlive-hyphen-czech >= 2018
    texlive-babel-slovak >= 2018
    texlive-cnbwp >= 2018
    texlive-csbulletin >= 2018
    texlive-cstex >= 2018
    texlive-hyphen-slovak >= 2018
    texlive-lshort-czech >= 2018
    texlive-lshort-slovak >= 2018
    texlive-texlive-cz >= 2018

If I recommend/require texlive-hyphen-czech with texlive-babel-czech then this is also true the reverse way but as rpm does not like dependency loops this might also cause trouble.
Comment 2 Tomáš Chvátal 2018-06-28 10:50:25 UTC
Nothing per-se, I just deploy the package in container and install just all the dependencies using tex syntax.

I have parser that just generates the tex deps and then runs ie.: zypper in 'tex(czech.ldf)'...

Also why the heck should I install slovak variant? We are independent nations for 27 years...
Comment 3 Dr. Werner Fink 2018-06-28 11:02:17 UTC
(In reply to Tomáš Chvátal from comment #2)
> 
> Also why the heck should I install slovak variant? We are independent
> nations for 27 years...

As convinced world citizen I do not care on national sensibilities as well as TeXLive upstream does not care about.  The package is there to be used for both slovak and czech users. If you think this combined package is a bug then you might report this upstream.
Comment 4 Tomáš Chvátal 2018-06-28 11:16:53 UTC
(In reply to Dr. Werner Fink from comment #3)
> (In reply to Tomáš Chvátal from comment #2)
> > 
> > Also why the heck should I install slovak variant? We are independent
> > nations for 27 years...
> 
> As convinced world citizen I do not care on national sensibilities as well
> as TeXLive upstream does not care about.  The package is there to be used
> for both slovak and czech users. If you think this combined package is a bug
> then you might report this upstream.

Okey then but you still didn't answer why I have to manually install hyphenation if I run "zypper in 'tex(czech.ldf)'" which is the only problem I have.

If I don't do this I get pretty ugly warnings and the document is ill-formated afterwards.

Even in libreoffice I have to specify individual hyphen, myspell and mythes dependencies for each languages we provide to ensure users can use all the things from one language...
Comment 5 Dr. Werner Fink 2018-06-28 11:33:16 UTC
(In reply to Tomáš Chvátal from comment #4)

> Okey then but you still didn't answer why I have to manually install
> hyphenation if I run "zypper in 'tex(czech.ldf)'" which is the only problem
> I have.
> 
> If I don't do this I get pretty ugly warnings and the document is
> ill-formated afterwards.
> 
> Even in libreoffice I have to specify individual hyphen, myspell and mythes
> dependencies for each languages we provide to ensure users can use all the
> things from one language...

The texlive.tlpdb.xz data base does not show such a dependency and therefore my perl script does not generate such one ... this I would to have implement by hand and up to this bug report this was not needed as most users had used the language collection for their native and/or foreign language(s)


name babel-czech
category Package
revision 30261
shortdesc Babel support for Czech
relocated 1
longdesc The package provides the language definition file for support
longdesc of Czech in babel. Some shortcuts are defined, as well as
longdesc translations to Czech of standard "LaTeX names".
containersize 4876
containerchecksum 35ade1c7e7b5b9cec4b641a35d90530abc471a25f2d4846f2833b7ffcef0e1a52337743053a9c9dbec471eaa60f2417ac55a58cbf48f6c5ed7615f373fd25512
doccontainersize 188640
doccontainerchecksum d42389fc54574af7840fd294e9491a4a52e7252203b1adf151743ba8f9bc5331a4572b9f3babd2d5a626ecfacc25560fc664870379db3842358d34d4cbb5bc60
docfiles size=47
 RELOC/doc/generic/babel-czech/czech.pdf details="Package documentation"
srccontainersize 12548
srccontainerchecksum b2219aa3654d29cade260cad2ee484db2882c58c2021150b477a64770ee2c710467c49f1ee26e335be921bb13c49350bd8bb1c97c647d1031bea89cb8d5c988c
srcfiles size=12
 RELOC/source/generic/babel-czech/czech.dtx
 RELOC/source/generic/babel-czech/czech.ins
runfiles size=4
 RELOC/tex/generic/babel-czech/czech.ldf
catalogue-ctan /macros/latex/contrib/babel-contrib/czech
catalogue-date 2018-01-13 10:24:37 +0100
catalogue-license lppl1.3
catalogue-topics czech
catalogue-version 3.1a
Comment 6 Dr. Werner Fink 2018-06-28 11:41:39 UTC
AFAICS from comparision there are some hyphen packages which do not have a babel package, or some babel packages require more than one hyphen, some hyphen do not have a babel pacakges, as well there are some different namings (turkmen <> turkish, portuges <> portuguese, norsk <> norwegian, ... ) ... that makes it not that easy.
Comment 7 Tomáš Chvátal 2018-06-28 11:57:34 UTC
Hmm, probably the best would be to update the upstream specifications to include the dependencies where available then... In the non-tex enviroment I have it normalized to use the common short and long abbrevations (en, en-GB,...) thus it was easy to loop it in...
Comment 8 Dr. Werner Fink 2018-08-01 12:28:26 UTC
Fixed
Comment 9 Swamp Workflow Management 2018-08-01 12:50:06 UTC
This is an autogenerated message for OBS integration:
This bug (1099475) was mentioned in
https://build.opensuse.org/request/show/626891 Factory / texlive-specs-a
https://build.opensuse.org/request/show/626892 Factory / texlive-specs-b
Comment 10 Swamp Workflow Management 2019-02-06 13:00:07 UTC
This is an autogenerated message for OBS integration:
This bug (1099475) was mentioned in
https://build.opensuse.org/request/show/672119 Factory / texlive-specs-y
Comment 11 Swamp Workflow Management 2019-05-29 08:30:07 UTC
This is an autogenerated message for OBS integration:
This bug (1099475) was mentioned in
https://build.opensuse.org/request/show/706230 Factory / texlive-specs-m
Comment 12 Swamp Workflow Management 2019-06-13 06:10:07 UTC
This is an autogenerated message for OBS integration:
This bug (1099475) was mentioned in
https://build.opensuse.org/request/show/709599 Factory / texlive-specs-k
https://build.opensuse.org/request/show/709600 Factory / texlive-specs-l